# Generated by Django 3.0.6 on 2020-06-15 08:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('recipes', '0015_auto_20200614_0758'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='recipe',
            name='steps',
        ),
        migrations.AlterField(
            model_name='commodity',
            name='veg',
            field=models.CharField(choices=[('NO', 'No'), ('OL', 'Ovo-lacto vegetarian'), ('O', 'Ovo vegetarian'), ('L', 'Lacto vegetarian'), ('V', 'Vegan')], default=None, max_length=2, null=True, verbose_name='Vegetarian'),
        ),
        migrations.AlterField(
            model_name='ingredient',
            name='recipe',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='i_recipe', to='recipes.Recipe'),
        ),
        migrations.AlterField(
            model_name='recipe',
            name='veg',
            field=models.CharField(choices=[('NO', 'No'), ('OL', 'Ovo-lacto vegetarian'), ('O', 'Ovo vegetarian'), ('L', 'Lacto vegetarian'), ('V', 'Vegan')], default=None, max_length=2, null=True, verbose_name='Vegetarian'),
        ),
        migrations.CreateModel(
            name='Step',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('step_order', models.PositiveIntegerField(default=0)),
                ('step_text', models.TextField(max_length=1000)),
                ('step_pic', models.TextField(default=None, max_length=255, null=True)),
                ('recipe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='s_recipe', to='recipes.Recipe')),
            ],
        ),
    ]
